- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QInputChord
- Qt 6.8.2 Reference Documentation

# QInputChord Class

class Qt3DInput::QInputChord

QInputChord represents a set of QAbstractActionInput's that must be triggerd at once. More...

Header: | `#include <QInputChord>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | InputChord
Inherits: | Qt3DInput::QAbstractActionInput
Status: | Deprecated

- List of all members, including inherited members

## Properties

- timeout : int

## Public Functions

| QInputChord(Qt3DCore::QNode *parent = nullptr)
void | addChord(Qt3DInput::QAbstractActionInput *input)
QList<Qt3DInput::QAbstractActionInput *> | chords() const
void | removeChord(Qt3DInput::QAbstractActionInput *input)
int | timeout() const

## Public Slots

void | setTimeout(int timeout)

## Signals

void | timeoutChanged(int timeout)

## Detailed Description

## Property Documentation

### timeout : int

The time in which all QAbstractActionInput's in the input chord must triggered within. The time is in milliseconds.

Access functions:

int | timeout() const
void | setTimeout(int timeout)

Notifier signal:

void | timeoutChanged(int timeout)

## Member Function Documentation

### `[explicit]` QInputChord::QInputChord(Qt3DCore::QNode *parent = nullptr)

Constructs a new QInputChord with parent parent.

### void QInputChord::addChord(Qt3DInput::QAbstractActionInput *input)

Append the QAbstractActionInput input to the end of this QInputChord's chord vector.

See also removeChord.

### QList<Qt3DInput::QAbstractActionInput *> QInputChord::chords() const

Returns the QInputChord's chord vector.

### void QInputChord::removeChord(Qt3DInput::QAbstractActionInput *input)

Remove the QAbstractActionInput input from this QInputChord's chord vector.

See also addChord.

### `[slot]` void QInputChord::setTimeout(int timeout)

Sets the time in which all QAbstractActionInput's in the input chord must triggered within to timeout. The time is in milliseconds

Note: Setter function for property timeout.

See also timeout().